
"""Generate random gestures until something crashes, or something times out."""
from testtools.content import text_content

from lrt import _run_command as run_command
from lrt import LRTTestCase


class SwitchTests(LRTTestCase):

    def test_switch(self):
        self.addDetail(
            'test_name',
            text_content('APCoreApps')
        )
        app_list = [
            'camera_app',
            'calendar_app',
            'dropping_letters_app',
            'evernote',
            'gallery_app',
            'music_app',
            'notes_app',
            'ubuntuuitoolkit',
            'sudoku_app',
            'ubuntu_calculator_app',
            'ubuntu_clock_app',
            'shorts_app',
        ]
        while 1:
            for app in app_list:
                run_command('cd ../ && autopilot3 run {}'.format(app))
                self.check_for_crash()
