"""launch system-settings and click stuff until crash"""
from testtools.content import text_content

from lrt import _run_command
from lrt import LRTTestCase
from lrt.gestures import (
    click_random_location,
)

import time


class SwitchTests(LRTTestCase):

    def test_switch(self):
        app_list = [
            'ubuntu-system-settings',
        ]
        for app in app_list:
            _run_command('ubuntu-app-launch {} &'.format(app))
            time.sleep(45)  # wait for app to be open before clicking

        self.addDetail(
            'test_name',
            text_content('SystemSettings')
        )

        while 1:
            click_random_location()
            self.check_for_crash()
