
"""Generate random gestures until something crashes, or something times out."""
from testtools.content import text_content

from lrt import _run_command as run_command
from lrt import LRTTestCase


class SwitchTests(LRTTestCase):

    def test_switch(self):
        self.addDetail(
            'test_name',
            text_content('APSystem')
        )
        run_command('/sbin/initctl stop unity8')

        while 1:
            run_command('cd ../ && autopilot3 run unity8')
            self.check_for_crash()
